import Vue from 'vue'
import VueRouter from 'vue-router'
import NProgress from 'nprogress'
import 'nprogress/nprogress.css'
import {Auth} from '@/util/auth'
import staticRoute from './staticRoute'
NProgress.configure({showSpinner: false})

Vue.use(VueRouter)
//以下代码解决路由地址重复的报错问题
const originalPush = VueRouter.prototype.push
VueRouter.prototype.push = function push(location) {
  return originalPush.call(this, location).catch(err => err)
}
const router = new VueRouter({
  mode: 'hash',
  routes: staticRoute
})
// 路由跳转前验证
router.beforeEach((to, from, next) => {
  // 开启进度条
  NProgress.start()
  // 判断用户是否处于登录状态
  next()
  
})

router.afterEach(() => {
  NProgress.done() // 结束Progress
})

export default router
