const Layout = () => import('../page/layout')

const staticRoute = [
  {
    path: '/',
    redirect: '/resources/emergencyCar'
  },
  {
    path: '/error',
    component: () => import('../page/error'),
    children: [
      {
        path: '401',
        component: () => import('../page/error/401')
      },
      {
        path: '403',
        component: () => import('../page/error/403')
      },
      {
        path: '404',
        component: () => import('../page/error/404')
      },
      {
        path: '500',
        component: () => import('../page/error/500')
      }
    ]
  },
  {
    path: '/resources',
    component: Layout,
    children: [
      {
        path: '/resources/emergencyCar',
        component: () => import('../page/emergencyCar/index')
      },
      {
        path: '/resources/sitePage',
        component: () => import('../page/sitePage/index')
      },
      {
        path: '/resources/rescue',
        component: () => import('../page/rescue/index')
      },
      {
        path: '/resources/medical',
        component: () => import('../page/medical/index')
      },
      {
        path: '/resources/greenWay',
        component: () => import('../page/greenWay/index')
      },
      {
        path: '/resources/expert',
        component: () => import('../page/expert/index')
      },
    ]
  },
  {
    path: '/business',
    component: Layout,
    children: [
      {
        path: '/business/siteQuery',
        component: () => import('../page/siteQuery/index')
      }
    ]
  },
  {
    path: '/basicInfo',
    component: Layout,
    children: [
      {
        path: '/basicInfo/user',
        component: () => import('../page/user/index')
      },
      {
        path: '/basicInfo/nav',
        component: () => import('../page/nav/index')
      }
    ]
  },
  {
    path: '*',
    redirect: '/error/404'
  }
]

export default staticRoute
