import * as types from './mutation-types'
import {Cache, Auth} from '@/util/auth'

export const clearStore = function({commit, state}) {
  commit(types.SET_TOKEN, Cache.clearToken())
  commit(types.SET_MENULIST, Cache.clearPermission())
  commit(types.SET_TAGNAVLIST, [])
  commit(types.SET_USERINFO, Auth.clearLoginInfo())
  commit(types.SET_OPENEDPAGELIST, Cache.clearOpenedPages())
  commit(types.SET_BREADCRUMBLIST, Cache.clearBreadcrumb())
}

export const saveToken = function({commit}, data) {
  commit(types.SET_TOKEN, Cache.setToken(data))
}

export const saveMenuType = function({commit}, data) {
  commit(types.SET_MENUTYPE, Cache.setMenuType(data))
}
export const saveLeftMenu = function({commit}, data) {
  commit(types.SET_LEFTMENU,data)
}
export const saveMenuList = function({commit}, data) {
  commit(types.SET_MENULIST, Cache.setPermission(data))

  commit(types.SET_TAGNAVLIST, Cache.getTagNavList(data))
}

export const saveMsgChange = function({commit}, data) {
  commit(types.SET_MSGCHANGE,data)
}

export const saveUserUserInfo = function({commit}, data) {
  commit(types.SET_USERINFO, Auth.setLoginInfo(data))
}

export const saveOpenedPageList = function({commit}, data) {
  commit(types.SET_OPENEDPAGELIST, Cache.setOpenedPages(data))
}

export const insertOpenedPageList = function({commit}, data) {
  commit(types.SET_OPENEDPAGELIST, Cache.insertOpenedPages(data))
}

export const deleteOpenedPageList = function({commit}, data) {
  commit(types.SET_OPENEDPAGELIST, Cache.deleteOpenedPages(data))
}

export const saveBreadcrumbList = function({commit}, data) {
  commit(types.SET_BREADCRUMBLIST, Cache.setBreadcrumb(data))
}
